🌱 Retrieve a transfer associated with the specified id-in-client
curl --request GET \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"idInClient": "<string>",
"amount": 123,
"assetName": "<string>",
"bankType": "PRIVATE_BANK",
"clientWebhook": "<string>",
"currency": "<string>",
"errorMessage": "<string>",
"paymentType": "CASH",
"quantity": 123,
"recipientPartyEmail": "<string>",
"recipientPayoutIdentifier": "<string>",
"senderPartyEmail": "<string>",
"senderPayoutIdentifier": "<string>",
"state": "WAITING_FOR_SIGNATURES",
"transferDateTime": "2023-11-07T05:31:56Z",
"transferDocument": {
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
},
"webhookResult": "<string>"
}Ownership transfer
Transfer
Retrieve a transfer associated with the specified id-in-client.
GET
/
omni-omni
/
v1
/
transfers
/
{id-in-client}
🌱 Retrieve a transfer associated with the specified id-in-client
curl --request GET \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/transfers/{id-in-client}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"idInClient": "<string>",
"amount": 123,
"assetName": "<string>",
"bankType": "PRIVATE_BANK",
"clientWebhook": "<string>",
"currency": "<string>",
"errorMessage": "<string>",
"paymentType": "CASH",
"quantity": 123,
"recipientPartyEmail": "<string>",
"recipientPayoutIdentifier": "<string>",
"senderPartyEmail": "<string>",
"senderPayoutIdentifier": "<string>",
"state": "WAITING_FOR_SIGNATURES",
"transferDateTime": "2023-11-07T05:31:56Z",
"transferDocument": {
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
},
"webhookResult": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Transfer retrieved successfully
Pattern:
[\w-]+Available options:
PRIVATE_BANK, CROSS_BORDER, STATE_BANK Available options:
CASH, CRYPTO_CURRENCY, CHECKS, DIGITAL_WALLETS, CREDIT_DEBIT_CARD, LETTER_OF_CREDIT, WIRED_TRANSFER, ELECTRONIC_FUNC_TRANSFER Available options:
WAITING_FOR_SIGNATURES, PROCESSING, FAILED, DONE Show child attributes
Show child attributes